# DocumentDetectionScores class

The total and partial scores for the detected document contour.

## Constructors

DocumentDetectionScores.new({required double totalScore, required double distanceScore, required double angleScore, required double sizeScore, required double aspectRatioScore, required double lineCoverageScore, required double widthScore, required double heightScore})
DocumentDetectionScores.fromJson(Map<String, dynamic> json)
  factory

## Properties

angleScore → double
  100 points, if all angles are 90 degrees.
  final
aspectRatioScore → double
  100 points, if the aspect ratio matches exactly one of the given aspect ratios.
  final
distanceScore → double
  100 points, if the center of the contour is exactly in the image center.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
heightScore → double
  Percentage of the image height taken by the detected document.
  final
lineCoverageScore → double
  Percentage of the document contour that the edge detector was able to find (in LEGACY engine mode only).
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
sizeScore → double
  100 points, if the contour occupies at least 50% of the area of the image.
  final
totalScore → double
  Weighted sum of all partial scores.
  final
widthScore → double
  Percentage of the image width taken by the detected document.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited